function MathieuOperateror(a,q,c,time, y0)

% Mathieu Equation is y''(z)+eta.y'(z)+(a-2qcos(2z))*y = 0
% input: a, q, c(damping), time, y0(Initial values)
% code provider: Di-Xia Fan
%                SJTU Intellectual Vehicle Founder and CTO
%                SJTU State Key Laboratory of Ocean Engineering
% e-mail: fandixia0703@sjtu.edu.cn
% homepage: www.fandixia.com

% Typical Input
% Instability System with Damping Character
% a = 1
% q = 0.1
% c = 0.1
% y0 = [0, 0.25]
% time = 0:0.1:120
clc ; close all;

ivp = [y0 a q c] ;
% ODE45
sol = ode45(@MathieuEquation,time,ivp) ;
y = deval(sol,time);
ydot = y(1,:)' ;
Deltaydot = y(2,:)' ;
%
% Time History plot
figure ;               
plot(time,ydot) ;  
xlabel('time') ;
ylabel('displacement') ;